Subject: Re: DWIM "git checkout frotz" to "git checkout -b frotz origin/frotz"

From: Clemens Buchacher <[email-masked]>
Date: Sat, 5 Jun 2010 15:58:11 +0200

On Sat, Jun 05, 2010 at 03:29:48PM +0200, Sverre Rabbelier wrote:
>
> On Sat, Jun 5, 2010 at 13:09, Clemens Buchacher <[email-masked]> wrote:
> > I think git checkout -t <remote>/<branch> is short enough for
> > creating a new tracking branch. For something even shorter, we can
> > create an alias. But I'd prefer to keep the already complex
> > checkout command a little simpler.
> 
> You're a little late to the party ;). Did you read the original thread
> discussing this?

Well, I just noticed this by accident, it is not documented
anywhere, and you cannot expected me to know everything that is
going on on the list. Should I not offer my opinion because of
that?

I could not make much sense of the thread that came with the patch.
The discussion first seems to conclude that it is a bad idea, only
to implement it anyway.

Well, I also think it is a bad idea, and I am not surprised to find
users confused by it.